summaryrefslogtreecommitdiff
path: root/tests/tail-2/start-middle
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tail-2/start-middle')
-rwxr-xr-xtests/tail-2/start-middle4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/tail-2/start-middle b/tests/tail-2/start-middle
index 143c4538a..4dbe18900 100755
--- a/tests/tail-2/start-middle
+++ b/tests/tail-2/start-middle
@@ -20,7 +20,7 @@ cd $tmp || framework_failure=1
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -33,4 +33,4 @@ EOF
cmp out exp || fail=1
test $fail = 1 && diff out exp 2> /dev/null
-(exit $fail); exit
+(exit $fail); exit $fail